# MPPFile

expect class MPPFile (source)

## Properties

bytesAllocator
Link copied to clipboard
expect val MPPFile . bytesAllocator : SuspendByteArrayAllocator
bytesAllocatorSync
Link copied to clipboard
expect val MPPFile . bytesAllocatorSync : ByteArrayAllocator
filename
Link copied to clipboard
expect val MPPFile . filename : FileName
filesize
Link copied to clipboard
expect val MPPFile . filesize : Long

## Functions

bytes
Link copied to clipboard
suspend fun MPPFile . bytes (): ByteArray
bytesSync
Link copied to clipboard
fun MPPFile . bytesSync (): ByteArray
input
Link copied to clipboard
expect fun MPPFile . input (): <Error class: unknown class>
inputProvider
Link copied to clipboard
fun MPPFile . inputProvider (): <Error class: unknown class>
inputProviderSync
Link copied to clipboard
fun MPPFile . inputProviderSync (): <Error class: unknown class>
readBytes
Link copied to clipboard
fun MPPFile . readBytes (): ByteArray
readBytesPromise
Link copied to clipboard
fun MPPFile . readBytesPromise (): Promise < ByteArray >